Bug 191099 - qt-devel is a monster (add extra qt-devel-api subpackage)
qt-devel is a monster (add extra qt-devel-api subpackage)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 16:59 EDT by David Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-09 18:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Anderson 2006-05-08 16:59:45 EDT
On my system, the 8 largest packages are:

213409160 openoffice.org-core
64091981 glibc-common
55539464 kdebase
51267142 kdepim
46532500 libstdc++-devel
46209085 kdelibs
43073422 qt-devel
42256845 wine

qt-devel pulls in more than a whole Win32 environment!

Looking at where that all comes from, it's mostly from documentation:
[david@desktop ~]$ du -hsc /usr/share/doc/qt-devel-3.3.5/*
12M     /usr/share/doc/qt-devel-3.3.5/examples
33M     /usr/share/doc/qt-devel-3.3.5/html
1.1M    /usr/share/doc/qt-devel-3.3.5/tutorial
46M     total

Most people only want qt-devel in order to compile Qt + KDE applications. The 
documentation is just a wasted download for us. (The qt-devel RPM is 15Mb - it 
takes several minutes even on broadband - I have 512kbps).

An extra qt-devel-apidocs sub-package ought to be created with this stuff, as 
it was for kdelibs-devel.

Thank you for your consideration!
Comment 1 Ngo Than 2006-05-09 18:01:23 EDT
it's now fixed in rawhide. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.